com.rscja.deviceapi.entity

## Class WifiConfig

- java.lang.Object
- - com.rscja.deviceapi.entity.WifiConfig

-     public class WifiConfig
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WifiConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPassword()`
    `int` | `getProxy()`
    `int` | `getSecurityType()`
    `java.lang.String` | `getSsid()`
    `ReaderIPEntity` | `getStaticIpConfig()`
    `boolean` | `isStaticIp()`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setProxy(int proxy)`
    `void` | `setSecurityType(int securityType)`
    `void` | `setSsid(java.lang.String ssid)`
    `void` | `setStaticIp(boolean isStaticIp)`
    `void` | `setStaticIpConfig(ReaderIPEntity staticIpconfig)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WifiConfig

          public WifiConfig()

  - ### Method Detail

    - #### getSsid

          public java.lang.String getSsid()

    - #### setSsid

          public void setSsid(java.lang.String ssid)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getSecurityType

          public int getSecurityType()

    - #### setSecurityType

          public void setSecurityType(int securityType)

    - #### getStaticIpConfig

          public ReaderIPEntity getStaticIpConfig()

    - #### setStaticIpConfig

          public void setStaticIpConfig(ReaderIPEntity staticIpconfig)

    - #### getProxy

          public int getProxy()

    - #### setProxy

          public void setProxy(int proxy)

    - #### isStaticIp

          public boolean isStaticIp()

    - #### setStaticIp

          public void setStaticIp(boolean isStaticIp)